Retrieve the loyalty points history of a guest

This API helps you to retrieve the loyalty points history of the specified guest.

You must specify the unique identifier of the guest as guest_id in the API request.
You can also leverage the pagination feature by passing page_num and num_records query parameters if you have a large number of records to be displayed. By default, page_num is set as 1 and num_records is set as 10. num_records cannot be more than 100: which means that the maximum records per page cannot be more than 100.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
guest_pointsobjectObject that contains all the guest_points-related elements. For more information, refer to the guest_points Object table.

guest_points Object

FieldsTypeDescription
balance_pointsintNumber of balance points left to be used.
balance_amountintBalance amount that can be used.
exchange_rateintExchange value for points.
tier_detailsobjectObject that contains tier details-related elements. For more information, refer to the tier_details Object table.
guest_points_detailsList of objectsObject that contains guest points details-related elements. For more information, refer to the guest_points_details Object table.

tier_details Object

FieldTypeDescription
namestringName of the tier.
enrollment_datedatetimeDate and time of the enrolment.
amount_to_be_spent_to_stop_downgradeintAmount to be spent to in order to stop from getting downgraded.

guest_points_details Object

FieldsTypeDescription
invoice_nostringString that uniquely identifies an invoice.
receipt_nostringString that indicates the receipt number.
earned_ondatetimeDate on which the loyalty points were earned.
programstringName of the program.
points_earnedintNumber of total points earned.
points_redeemedintNumber of points redeemed already.
balanceintNumber of balance points that can be used.
redemption_startdatetimeDate and time from which the redemption began.
redemption_enddatetimeDate and time on which the redemption ends.
centerstringName of the center.
invoice_idguidUnique Identifier of the invoice.

Note: To retrieve "guest_points_details", you must specify "expand[0]=get_points_history" in the query parameters as illustrated in the example.

Path Params
string
required

Unique identifier of the guest for whom we are retrieving the loyalty points.

Query Params
int32

Optional Indicates whether grooming-related LPs are to be viewed.

int32
Defaults to 1

Optional Number of the display page. Default value is 1.

int32
Defaults to 10

Optional Number of records per page. Default value is 10.

boolean
Defaults to true

Optional Indicates whether the displayed records are to be sorted in ascending order. Default value is true.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json